from zope.component import getUtility
from zope.component import getMultiAdapter
from StringIO import StringIO
from plone.portlets.interfaces import IPortletAssignmentMapping
from plone.portlets.interfaces import IPortletManager
from Products.CollectiveGTD.browser.portlets import activeactionitems

def addDefaultPortlets(portal, out):
    rightColumn = getUtility(IPortletManager, name=u'plone.rightcolumn', context=portal)
    right = getMultiAdapter((portal, rightColumn,), IPortletAssignmentMapping, context=portal)
    if u'ActiveActionItems' not in right:
        print >>out, "Adding ActiveActionItems portlet to the right column"
        right[u'ActiveActionItems'] = activeactionitems.Assignment(count=10)

def importVarious(context):
    # Only run step if a flag file is present (e.g. not an extension profile)
    if context.readDataFile('collectivegtd.txt') is None:
        return
    site = context.getSite()
    out = StringIO()
    addDefaultPortlets(site, out)